
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TTaskType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="GENERICA"/&gt;
 *     &lt;enumeration value="COMUNICACION"/&gt;
 *     &lt;enumeration value="NOTIFICACION"/&gt;
 *     &lt;enumeration value="FIRMAS"/&gt;
 *     &lt;enumeration value="APORDOCU"/&gt;
 *     &lt;enumeration value="DOCUMENTACION_APORTAR"/&gt;
 *     &lt;enumeration value="ESTDOCU"/&gt;
 *     &lt;enumeration value="DOCUMENTACION_ESTUDIAR"/&gt;
 *     &lt;enumeration value="REGISTRDOC"/&gt;
 *     &lt;enumeration value="DOCUMENTACION_REGISTRAR"/&gt;
 *     &lt;enumeration value="SOLDOCU"/&gt;
 *     &lt;enumeration value="DOCUMENTACION_SOLICITAR"/&gt;
 *     &lt;enumeration value="RECINOTI"/&gt;
 *     &lt;enumeration value="NOTIFICACION_ACUSAR"/&gt;
 *     &lt;enumeration value="firmanot"/&gt;
 *     &lt;enumeration value="NOTIFICACION_FIRMAR"/&gt;
 *     &lt;enumeration value="REGISTRANOTI"/&gt;
 *     &lt;enumeration value="NOTIFICACION_REGISTRAR"/&gt;
 *     &lt;enumeration value="APERTURA"/&gt;
 *     &lt;enumeration value="EXPEDIENTE_ABRIR"/&gt;
 *     &lt;enumeration value="LIQTASA"/&gt;
 *     &lt;enumeration value="EXPEDIENTE_PAGAR"/&gt;
 *     &lt;enumeration value="CERREXP"/&gt;
 *     &lt;enumeration value="EXPEDIENTE_CERRAR"/&gt;
 *     &lt;enumeration value="RECHAZOFIRMAS"/&gt;
 *     &lt;enumeration value="FIRMA_RECHAZAR"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TTaskType", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TTaskType {

    GENERICA("GENERICA"),
    COMUNICACION("COMUNICACION"),
    NOTIFICACION("NOTIFICACION"),
    FIRMAS("FIRMAS"),
    APORDOCU("APORDOCU"),
    DOCUMENTACION_APORTAR("DOCUMENTACION_APORTAR"),
    ESTDOCU("ESTDOCU"),
    DOCUMENTACION_ESTUDIAR("DOCUMENTACION_ESTUDIAR"),
    REGISTRDOC("REGISTRDOC"),
    DOCUMENTACION_REGISTRAR("DOCUMENTACION_REGISTRAR"),
    SOLDOCU("SOLDOCU"),
    DOCUMENTACION_SOLICITAR("DOCUMENTACION_SOLICITAR"),
    RECINOTI("RECINOTI"),
    NOTIFICACION_ACUSAR("NOTIFICACION_ACUSAR"),
    @XmlEnumValue("firmanot")
    FIRMANOT("firmanot"),
    NOTIFICACION_FIRMAR("NOTIFICACION_FIRMAR"),
    REGISTRANOTI("REGISTRANOTI"),
    NOTIFICACION_REGISTRAR("NOTIFICACION_REGISTRAR"),
    APERTURA("APERTURA"),
    EXPEDIENTE_ABRIR("EXPEDIENTE_ABRIR"),
    LIQTASA("LIQTASA"),
    EXPEDIENTE_PAGAR("EXPEDIENTE_PAGAR"),
    CERREXP("CERREXP"),
    EXPEDIENTE_CERRAR("EXPEDIENTE_CERRAR"),
    RECHAZOFIRMAS("RECHAZOFIRMAS"),
    FIRMA_RECHAZAR("FIRMA_RECHAZAR");
    private final String value;

    TTaskType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskType fromValue(String v) {
        for (TTaskType c: TTaskType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
